Skip to main content
POST
https://api.dintero.com/v1
/
accounts
/
{aid}
/
management
/
settings
/
connections
/
collector
/
{callback_reference}
aid_account_settings_connections_collector_callback_post
curl --request POST \
  --url https://api.dintero.com/v1/accounts/{aid}/management/settings/connections/collector/{callback_reference} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "username": "c_user",
  "payment_options": [
    {
      "currencies": [
        "NOK"
      ],
      "type": "collector.invoice"
    }
  ]
}
'
{}

Documentation Index

Fetch the complete documentation index at: https://docs.dintero.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication (token authentication) should be used for accessing the API.

Use Get Token to get an access token for client credentials. Pass the token in the request header:

Authorization: Bearer {access_token}

where the access_token is JSON Web Tokens (JWT).

Path Parameters

aid
string<^[PT]{1}\d{8}$>
required

An id that uniquely identifies the account.

Required string length: 9
callback_reference
string
required

Body

application/json
username
string
required
Example:

"c_user"

payment_options
object[]
required

Payment options to enable for this connection

password
string

The password for the given username. Password is optional if using dintero:admin and one of the standard usernames

Example:

"my_collector_bank_password"

store_id
number

Deprecated in favour of stores.store_id.

Store id for B2C

country
string<iso-3166-1>

Deprecated in favour of stores.country.

stores
object[]

Configured stores in the Collector Partner Portal

Response

Signup

The response is of type object.

Last modified on May 12, 2026